Ensure you have Flash 8 or above installed.